- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
libvisio::VSDPolylineTo2 Class Reference
Inheritance diagram for libvisio::VSDPolylineTo2:

## Public Member Functions
| VSDPolylineTo2 (unsigned id, unsigned level, double x, double y, unsigned dataID)
virtual | ~VSDPolylineTo2 ()
void | handle (VSDCollector *collector) const
VSDGeometryListElement * | clone ()
unsigned | getDataID () const
Public Member Functions inherited from libvisio::VSDGeometryListElement
| VSDGeometryListElement (unsigned id, unsigned level)
virtual | ~VSDGeometryListElement ()
void | setLevel (unsigned level)

## Public Attributes
unsigned | m_dataID
double | m_x
double | m_y

## Additional Inherited Members
Protected Attributes inherited from libvisio::VSDGeometryListElement
unsigned | m_id
unsigned | m_level

## Constructor & Destructor Documentation

libvisio::VSDPolylineTo2::VSDPolylineTo2 | ( | unsigned | id,
|  | unsigned | level,
|  | double | x,
|  | double | y,
|  | unsigned | dataID
| ) |  |
| inline

virtual libvisio::VSDPolylineTo2::~VSDPolylineTo2 | ( |  | ) |
| inline virtual

## Member Function Documentation

libvisio::VSDGeometryListElement * libvisio::VSDPolylineTo2::clone | ( |  | ) |
| virtual

Implements libvisio::VSDGeometryListElement.

unsigned libvisio::VSDPolylineTo2::getDataID | ( |  | ) | const
| virtual

Reimplemented from libvisio::VSDGeometryListElement.

void libvisio::VSDPolylineTo2::handle | ( | VSDCollector * | collector | ) | const
| virtual

Implements libvisio::VSDGeometryListElement.

## Member Data Documentation

unsigned libvisio::VSDPolylineTo2::m_dataID

double libvisio::VSDPolylineTo2::m_x

double libvisio::VSDPolylineTo2::m_y

The documentation for this class was generated from the following file:

- VSDGeometryList.cpp